  $( function() {
    $( "#sortable1, #sortable2" ).sortable({
      connectWith: ".connectedSortable",
      receive: function( event, ui ) {
        if ( event.target.id == 'sortable2' ) {
          selected(ui.item.context)
        } else if ( event.target.id == 'sortable1' ) {
          unSelected(ui.item.context)
        }           
      }
    }).disableSelection();
  } );

  function getOnlyMainCat () {
    $('#sortable1 li').each(function(){
      if ( $(this).find('.main').length != 0 ) {
        $('#sortable2').append(this);
        selected(this);
      }
    })   
  }

  function selected (elem) {
    console.log('123')
    let len = parseInt(document.getElementById('sortable2').querySelectorAll('li').length)
    elem.querySelector('.category_id').setAttribute('name', 'module_categoryWall_category[' + len + '][id]');
    elem.querySelector('.category_name').setAttribute('name', 'module_categoryWall_category[' + len + '][name]');
    elem.querySelector('.parent_id').setAttribute('name', 'module_categoryWall_category[' + len + '][parent_id]');
    elem.querySelector('input').checked = true;
  } 

  function unSelected (elem) {
    elem.querySelector('.category_id').setAttribute('name', 'category_id');
    elem.querySelector('.category_name').setAttribute('name', 'category_name');
    elem.querySelector('.parent_id').setAttribute('name', 'parent_id');
    elem.querySelector('input').checked = false;
  }

  function moveAllTo () {
    $('#sortable1 li').each(function(){
      $('#sortable2').append(this);
      selected(this);
    })
  }

  function moveAllOut () {
    $('#sortable2 li').each(function(){
      $('#sortable1').append(this);
      unSelected(this);
    })
  }  